Subject: Statistics::Descriptive v2.2
From: [email-masked] (Colin Kuskie)
Date: 27 Feb 1998 16:13:14 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Greetings everyone!

In the midst of a world of apathetic (or maybe just pathetic) newbies
and frustrated gurus a voice rose above the din and said:

"Hey, your module acts funny sometimes!"

So after much convincing (on his part) and much work (on my part) I'm
happy to release version 2.2 of Statistics::Descriptive that contains a
fix for the AUTOLOAD/Carp bug.  It should be mirrored around the world
by PAUSE within a few days (Feb 25 or 26).  If you have comments,
suggestions or complaints please send them to me or post to the groups
and include this information:

What version of perl you're using (output from perl -v).
Which version of Statistics::Descriptive you're talking about.
A detailed description of your problem.

(If you're not using perl5.004_04 or Statistics::Descriptive2.2 please
consider upgrading and retesting before launching major complaints :)

And remember, if you could arbitrarily shift the probability density
function of your atoms you could go to the beach!

Colin Kuskie

p.s. The README file from the distribution is included below:

This new version (2.2) of Statistics::Descriptive contains:

- A bug fix for the calculation of min and max.  Thanks to Thomas Goetze
  for alerting me to this (and supplying a solution).

- A bug fix for a strange bug when using AUTOLOAD and Carp.  Actually,
  I benefitted from the bug.  If you use the AUTOLOAD from the perltoot
  manpage and use Carp to provide "nice" error trapping from the module,
  then the AUTOLOAD doesn't catch calls to DESTROY (which it is supposed
  to do, technically).  If you use warn, then it catches the call to
  DESTROY and prints the error message 'Unable to access method DESTROY
  in class Statistics::Descriptive'.

  Thanks to Terrence Brannon for alerting me to this.  He, running
  perl5.003_07, has the AUTOLOAD method intermittently catch the
  call even when Carp is being used.  Go figure...

List of methods by class:

Statistics::Descriptive::Sparse
----------------------------------
add_data
count
mean
sum
variance
pseudo_variance
min
max
mindex
maxdex
standard_deviation
sample_range

Statistics::Descriptive::Full
----------------------------------
All methods above and:
get_data
sort_data
presorted
median
trimmed_mean
harmonic_mean
mode
geometric_mean
frequency_distribution
least_squares_fit

Ideas for ongoing development:

- An interface to Jon Orwant's Statistics::ChiSquare module to
  provide a method for determining how random data is (for a uniform
  distribution) or how well is fits another distribution (for
  non-uniform distributions like normal(gaussian), log-normal,
  rayleigh, etc).

  The major issue I'm concerned about is the updating of someone else's
  code and future extensibility.  Now, major paranoia should be obvious
  since Jon hasn't changed Statistics::ChiSquare for a long, long
  time.  Still, a wrapper module that inherits from several other
  modules is appealing.  Perhaps it will be called Statistics::Bundle.